## ipu7-camera-bins 0~git202410290359.b502c1e

=== debian/changelog ===
ipu7-camera-bins (0~git202410290359.b502c1e-1~ubuntu24.04.1) noble; urgency=medium

  [ Shih-Yuan Lee (FourDollars) ]
  * Initial release.

  [ Commercial Engineering ]
  * Auto build.

 -- Commercial Engineering <commercial-engineering@canonical.com>  Tue, 29 Oct 2024 04:15:25 +0000
