=== debian/control ===
Source: ipu7-camera-bins
Section: libs
Priority: optional
Build-Depends:
 debhelper-compat (= 12),
 libexpat-dev,
Standards-Version: 4.5.0
Maintainer: Commercial Engineering <commercial-engineering@canonical.com>
Vcs-Browser: https://github.com/intel/ipu7-camera-bins
Vcs-Git: https://github.com/intel/ipu7-camera-bins.git

Package: libipu7-dev
Architecture: any
Depends:
 ${misc:Depends},
 libipu7x-dev (= ${binary:Version}),
Description: Transitional dummy package for libipu7x-dev
 This is a transitional dummy package for libipu7x-dev, and can be
 safely removed after the installation is complete.

Package: libia-aic-ipu7x0
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: API library for Intel IPU7 LNL camera
 This package contains header files and/or static library of
 libia-aic-ipu7x0 for using Intel IPU7 LNL camera.

Package: libia-aic-ipu7x-dev
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libia-aic-ipu7x0 (= ${binary:Version}),
Description: API library for Intel IPU7 LNL camera (development files)
 This package contains header files and/or static library of
 libia-aic-ipu7x0 for Intel IPU7 LNL camera development.

Package: libia-aiqb-parser-ipu7x0
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: API library for Intel IPU7 LNL camera
 This package contains header files and/or static library of
 libia-aiqb-parser-ipu7x0 for using Intel IPU7 LNL camera.

Package: libia-aiqb-parser-ipu7x-dev
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libia-aiqb-parser-ipu7x0 (= ${binary:Version}),
Description: API library for Intel IPU7 LNL camera (development files)
 This package contains header files and/or static library of
 libia-aiqb-parser-ipu7x0 for Intel IPU7 LNL camera development.

Package: libia-aiq-v1-file-debug-ipu7x0
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: API library for Intel IPU7 LNL camera
 This package contains header files and/or static library of
 libia-aiq-v1-file-debug-ipu7x0 for using Intel IPU7 LNL camera.

Package: libia-aiq-v1-file-debug-ipu7x-dev
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libia-aiq-v1-file-debug-ipu7x0 (= ${binary:Version}),
Description: API library for Intel IPU7 LNL camera (development files)
 This package contains header files and/or static library of
 libia-aiq-v1-file-debug-ipu7x0 for Intel IPU7 LNL camera development.

Package: libia-aiq-v1-ipu7x0
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: API library for Intel IPU7 LNL camera
 This package contains header files and/or static library of
 libia-aiq-v1-ipu7x0 for using Intel IPU7 LNL camera.

Package: libia-aiq-v1-ipu7x-dev
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libia-aiq-v1-ipu7x0 (= ${binary:Version}),
Description: API library for Intel IPU7 LNL camera (development files)
 This package contains header files and/or static library of
 libia-aiq-v1-ipu7x0 for Intel IPU7 LNL camera development.

Package: libia-bcomp-ipu7x0
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: API library for Intel IPU7 LNL camera
 This package contains header files and/or static library of
 libia-bcomp-ipu7x0 for using Intel IPU7 LNL camera.

Package: libia-bcomp-ipu7x-dev
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libia-bcomp-ipu7x0 (= ${binary:Version}),
Description: API library for Intel IPU7 LNL camera (development files)
 This package contains header files and/or static library of
 libia-bcomp-ipu7x0 for Intel IPU7 LNL camera development.

Package: libia-cca-ipu7x0
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: API library for Intel IPU7 LNL camera
 This package contains header files and/or static library of
 libia-cca-ipu7x0 for using Intel IPU7 LNL camera.

Package: libia-cca-ipu7x-dev
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libia-cca-ipu7x0 (= ${binary:Version}),
Description: API library for Intel IPU7 LNL camera (development files)
 This package contains header files and/or static library of
 libia-cca-ipu7x0 for Intel IPU7 LNL camera development.

Package: libia-ccat-ipu7x0
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: API library for Intel IPU7 LNL camera
 This package contains header files and/or static library of
 libia-ccat-ipu7x0 for using Intel IPU7 LNL camera.

Package: libia-ccat-ipu7x-dev
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libia-ccat-ipu7x0 (= ${binary:Version}),
Description: API library for Intel IPU7 LNL camera (development files)
 This package contains header files and/or static library of
 libia-ccat-ipu7x0 for Intel IPU7 LNL camera development.

Package: libia-cmc-parser-ipu7x0
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: API library for Intel IPU7 LNL camera
 This package contains header files and/or static library of
 libia-cmc-parser-ipu7x0 for using Intel IPU7 LNL camera.

Package: libia-cmc-parser-ipu7x-dev
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libia-cmc-parser-ipu7x0 (= ${binary:Version}),
Description: API library for Intel IPU7 LNL camera (development files)
 This package contains header files and/or static library of
 libia-cmc-parser-ipu7x0 for Intel IPU7 LNL camera development.

Package: libia-coordinate-ipu7x0
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: API library for Intel IPU7 LNL camera
 This package contains header files and/or static library of
 libia-coordinate-ipu7x0 for using Intel IPU7 LNL camera.

Package: libia-coordinate-ipu7x-dev
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libia-coordinate-ipu7x0 (= ${binary:Version}),
Description: API library for Intel IPU7 LNL camera (development files)
 This package contains header files and/or static library of
 libia-coordinate-ipu7x0 for Intel IPU7 LNL camera development.

Package: libia-dvs-ipu7x0
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: API library for Intel IPU7 LNL camera
 This package contains header files and/or static library of
 libia-dvs-ipu7x0 for using Intel IPU7 LNL camera.

Package: libia-dvs-ipu7x-dev
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libia-dvs-ipu7x0 (= ${binary:Version}),
Description: API library for Intel IPU7 LNL camera (development files)
 This package contains header files and/or static library of
 libia-dvs-ipu7x0 for Intel IPU7 LNL camera development.

Package: libia-emd-decoder-ipu7x0
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: API library for Intel IPU7 LNL camera
 This package contains header files and/or static library of
 libia-emd-decoder-ipu7x0 for using Intel IPU7 LNL camera.

Package: libia-emd-decoder-ipu7x-dev
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libia-emd-decoder-ipu7x0 (= ${binary:Version}),
Description: API library for Intel IPU7 LNL camera (development files)
 This package contains header files and/or static library of
 libia-emd-decoder-ipu7x0 for Intel IPU7 LNL camera development.

Package: libia-exc-ipu7x0
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: API library for Intel IPU7 LNL camera
 This package contains header files and/or static library of
 libia-exc-ipu7x0 for using Intel IPU7 LNL camera.

Package: libia-exc-ipu7x-dev
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libia-exc-ipu7x0 (= ${binary:Version}),
Description: API library for Intel IPU7 LNL camera (development files)
 This package contains header files and/or static library of
 libia-exc-ipu7x0 for Intel IPU7 LNL camera development.

Package: libia-lard-ipu7x0
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: API library for Intel IPU7 LNL camera
 This package contains header files and/or static library of
 libia-lard-ipu7x0 for using Intel IPU7 LNL camera.

Package: libia-lard-ipu7x-dev
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libia-lard-ipu7x0 (= ${binary:Version}),
Description: API library for Intel IPU7 LNL camera (development files)
 This package contains header files and/or static library of
 libia-lard-ipu7x0 for Intel IPU7 LNL camera development.

Package: libia-log-ipu7x0
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: API library for Intel IPU7 LNL camera
 This package contains header files and/or static library of
 libia-log-ipu7x0 for using Intel IPU7 LNL camera.

Package: libia-log-ipu7x-dev
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libia-log-ipu7x0 (= ${binary:Version}),
Description: API library for Intel IPU7 LNL camera (development files)
 This package contains header files and/or static library of
 libia-log-ipu7x0 for Intel IPU7 LNL camera development.

Package: libia-mkn-ipu7x0
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: API library for Intel IPU7 LNL camera
 This package contains header files and/or static library of
 libia-mkn-ipu7x0 for using Intel IPU7 LNL camera.

Package: libia-mkn-ipu7x-dev
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libia-mkn-ipu7x0 (= ${binary:Version}),
Description: API library for Intel IPU7 LNL camera (development files)
 This package contains header files and/or static library of
 libia-mkn-ipu7x0 for Intel IPU7 LNL camera development.

Package: libia-nvm-ipu7x0
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: API library for Intel IPU7 LNL camera
 This package contains header files and/or static library of
 libia-nvm-ipu7x0 for using Intel IPU7 LNL camera.

Package: libia-nvm-ipu7x-dev
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libia-nvm-ipu7x0 (= ${binary:Version}),
Description: API library for Intel IPU7 LNL camera (development files)
 This package contains header files and/or static library of
 libia-nvm-ipu7x0 for Intel IPU7 LNL camera development.

Package: libia-view-ipu7x0
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: API library for Intel IPU7 LNL camera
 This package contains header files and/or static library of
 libia-view-ipu7x0 for using Intel IPU7 LNL camera.

Package: libia-view-ipu7x-dev
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libia-view-ipu7x0 (= ${binary:Version}),
Description: API library for Intel IPU7 LNL camera (development files)
 This package contains header files and/or static library of
 libia-view-ipu7x0 for Intel IPU7 LNL camera development.

Package: libipu7x-dev
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libia-aic-ipu7x-dev (= ${binary:Version}),
 libia-aiqb-parser-ipu7x-dev (= ${binary:Version}),
 libia-aiq-v1-file-debug-ipu7x-dev (= ${binary:Version}),
 libia-aiq-v1-ipu7x-dev (= ${binary:Version}),
 libia-bcomp-ipu7x-dev (= ${binary:Version}),
 libia-cca-ipu7x-dev (= ${binary:Version}),
 libia-ccat-ipu7x-dev (= ${binary:Version}),
 libia-cmc-parser-ipu7x-dev (= ${binary:Version}),
 libia-coordinate-ipu7x-dev (= ${binary:Version}),
 libia-dvs-ipu7x-dev (= ${binary:Version}),
 libia-emd-decoder-ipu7x-dev (= ${binary:Version}),
 libia-exc-ipu7x-dev (= ${binary:Version}),
 libia-lard-ipu7x-dev (= ${binary:Version}),
 libia-log-ipu7x-dev (= ${binary:Version}),
 libia-mkn-ipu7x-dev (= ${binary:Version}),
 libia-nvm-ipu7x-dev (= ${binary:Version}),
 libia-view-ipu7x-dev (= ${binary:Version}),
Description: API library for Intel IPU7 LNL camera (development files)
 This package contains header files and/or static library of
 libia-view-ipu7x0 for Intel IPU7 LNL camera development.

Package: libia-aic-ipu75xa0
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: API library for Intel IPU7 PTL camera
