## ipu7-camera-bins 0~git202501150539.f4a353c

=== debian/changelog ===
ipu7-camera-bins (0~git202501150539.f4a353c-1~ubuntu24.04.1) noble; urgency=medium

  [ Shih-Yuan Lee (FourDollars) ]
  * Initial release.

  [ Commercial Engineering ]
  * Auto build.

 -- Commercial Engineering <commercial-engineering@canonical.com>  Wed, 15 Jan 2025 06:10:51 +0000
