## ipu7-camera-bins 0~git202509280950.09ccd02

=== debian/changelog ===
ipu7-camera-bins (0~git202509280950.09ccd02-1~ubuntu24.04.1) noble; urgency=medium

  [ Shih-Yuan Lee (FourDollars) ]
  * Initial release.

  [ Commercial Engineering ]
  * Auto build.

 -- Commercial Engineering <commercial-engineering@canonical.com>  Tue, 30 Sep 2025 03:09:34 +0000
